define( [ 'Widget' ], function( Widget ) {

	DemoWidget = function( elem ) {
		Widget.call( this, elem );
		this.name = 'DemoWidget';
		$(elem).addClass('widget-demowidget');
	}
	
	var $fn = DemoWidget.prototype = Object.create(Widget.prototype);
    $fn.prototype.constructor = DemoWidget;
	
	$fn.start = function() {
		$( this.elem ).text("Hello World! I'm DemoWidget!");
		Widget.prototype.start.call( this, elem );
	}
	
	return DemoWidget;
});
